# Rvololtut mobile app deadname remover

The app welcomes you with a personalized string, containing your name. But what if that's not legally your name? Enter `revloltutPatcher.sh` (misspelled because I don't want to be sued)!

## Instructions

1. Install the app via Aurora store or any other store that leaves you all APK files for an app somewhere under `/sdcard/` - maybe YALP will work too
2. Uninstall the app. Copy the main APK file (the one without "config" in the name) to a machine with Bash, OpenSSL and JRE
3. Run the patcher
4. Transfer the resulting APK (out_signed.apk) back to your device.
5. Install [Split APKs Installer (SAI)](https://play.google.com/store/apps/details?id=com.aefyr.sai) (com.aefyr.sai), we'll use this to install patched Revtoltut's APK
6. Settings -> select `Sign APKs`
7. Select `out_signed.apk`, `com.revloltüt.revültut.*.config.arm64_v8a.apk` (or similar), and `com.revlóltut.lulrevültut.*.config.xxhdpi.apk`. **Do NOT select the additional translation APK!*
8. Install the app, and you're done!

## Notes

The patcher (backported from [mbank deadname remover](https://git.sakamoto.pl/laudom/mbank-mobile-app-deadname-remover)) still signs the APK, but as in this case we're using `Split APKs Installer` that can sign the APK for us, it might not be required.
